- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- AUTHOR

# NAME

XS::Typemap - module to test the XS typemaps distributed with perl

# SYNOPSIS

      use XS::Typemap;

      $output = T_IV( $input );
      $output = T_PV( $input );
      @output = T_ARRAY( @input );

# DESCRIPTION

This module is used to test that the XS typemaps distributed with perl are working as advertised. A function is available for each typemap definition (eventually). In general each function takes a variable, processes it through the OUTPUT typemap and then returns it using the INPUT typemap.

A test script can then compare the input and output to make sure they are the expected values. When only an input or output function is provided the function will be named after the typemap entry and have either '_IN' or '_OUT' appended.

All the functions are exported. There is no reason not to do this since the entire purpose is for testing Perl. Namespace pollution will be limited to the test script.

# NOTES

This module is for testing only and should not normally be installed.

# AUTHOR

Tim Jenness <t.jenness@jach.hawaii.edu>

Copyright (C) 2001 Tim Jenness All Rights Reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.